Subject: Re: bug#58892: 29.0.50; [PATCH] eglot-manual: Open the local info documentation

From: Stefan Monnier <[email-masked]>
Date: Sun, 30 Oct 2022 08:42:32 -0400

>> Eglot now has a beautiful documentation in info format.  This patch
>> let the user open it from Eglot's menu.
>> 
>> BTW, the menu is the mode-line and I think it cannot be accessed using
>> only the keyboard.  Would it make sense to put this menu in the "Tools"
>> part of the menu-bar as well?
>
> I'm unsure about any of this.  We don't do anything like that for any
> other mode, AFAIR.  And Eglot's main features are already mentioned in
> short in the Emacs user manual.
>
> What do others think?  Lars, Stefan?

I don't think it makes much sense to add this specifically for
Eglot, indeed.  It might make sense OTOH to add to the Help menu an
entry that lets you jump directly to the docs relevant to the current
modes.

It could be a submenu generated by considering the list of all currently
active minor modes (buffer-local and global) plus the current major mode
(and its parents, maybe?) and for each one of them try and find out
where they might be documented (e.g. relying on a symbol property
to map a mode to its Info node?).

        Stefan